## pymssql 2.2.11

=== docs/requirements.txt ===
setuptools_scm[toml]>=5.0,<7.0
sphinx
sphinx_rtd_theme
sphinx-copybutton
sphinx_toggleprompt

## pymssql 2.1.3+dfsg

=== debian/changelog ===
pymssql (2.1.3+dfsg-1build2) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:39 +0000

pymssql (2.1.3+dfsg-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:03 +0000

pymssql (2.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Geoffrey Thomas ]
  * New upstream release (Closes: #648230), with DFSG repack to avoid
    embedded freetds binaries.
    - Be compatible with newer versions of freetds (Closes: #709210).
    - Consistently respect as_dict (Closes: #590548).
    - setup.py: Don't require setuptools_git.
  * Packaging cleanups:
    - Switch from CDBS to dh sequencer, and bump d/compat to 9.
    - Build for both Python 2 and 3 using pybuild.
    - Update Standards-Version to 3.9.8 (no changes).
    - Update copyright and follow machine-readable copyright spec.
    - Switch to source format 3.0 (quilt).
    - Use uscan and Files-Excluded in debian/copyright to simplify the
      DFSG repack target, and drop debian/rules get-orig-source (just
      call `uscan --rename`).
  * Add myself to Uploaders.

 -- Geoffrey Thomas <geofft@ldpreload.com>  Wed, 24 May 2017 14:16:13 -0400

pymssql (1.0.2+dfsg-2) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Fix watch file.
  * Use canonical URIs for Vcs-* fields.

  [ Luca Falavigna ]
  * Switch to dh_python2 (Closes: #786301).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 30 Aug 2015 10:52:04 +0200

pymssql (1.0.2+dfsg-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Add Debian Python Modules Team to Uploaders
  * Add Vcs-Svn and Vcs-Browser fields
  * Add debian/watch file
  * Add get-orig-source target

  [ Jan Geboers ]
  * New upstream release.
  * Standards version is 3.8.2.
  * Removed patch series, 01_nagios-plugin.patch is included upstream.
  * Removed quilt build-dependecy because of the above.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sat, 11 Jul 2009 15:11:01 +0200

pymssql (1.0.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add quilt support; build-depend on quilt.
  * Use upstream-provided nagios plugin now (yes, it’s ours).
  * 01_nagios-plugin.patch:
    + Add an option to specify the port.
    + Fix encoding.
    + Fix SQL syntax.
    + Connect explicitly to the "master" database.
    + Improve perfdata output.

 -- Josselin Mouette <joss@debian.org>  Wed, 18 Feb 2009 12:01:32 +0100

pymssql (0.8.0+dfsg-3) unstable; urgency=low

  * check_mssql: 
    + return the time value in seconds so that it integrates correctly 
      with the Nagios perf_data handlers.
    + add a -P setting to define the TCP port.
  * Wrap Depends and Build-Depends.
  * Standards version is 3.8.0.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 14:51:41 +0100

pymssql (0.8.0+dfsg-2) unstable; urgency=low

  * Ship a Nagios plugin for MS SQL databases.

 -- Josselin Mouette <joss@debian.org>  Mon, 05 May 2008 11:50:05 +0200

pymssql (0.8.0+dfsg-1) unstable; urgency=low

  * Remove ntwdblib.dll from the upstream sources, because this file 
    doesn’t have any associated source. Thanks Joerg Jaspert for 
    noticing.

 -- Josselin Mouette <joss@debian.org>  Thu, 06 Mar 2008 12:49:56 +0100

pymssql (0.8.0-1) unstable; urgency=low

  * Initial release. Closes: #468175.

 -- Josselin Mouette <joss@debian.org>  Wed, 27 Feb 2008 18:49:15 +0100

=== debian/control ===
Source: pymssql
Section: python
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Geoffrey Thomas <geofft@ldpreload.com>
Build-Depends: debhelper (>= 9),
               python-all-dev (>= 2.7),
               python3-all-dev,
               freetds-dev,
               dh-python,
               python-setuptools,
               python3-setuptools,
               cython,
               cython3
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pymssql.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pymssql.git

Package: python-pymssql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: Python database access for MS SQL server and Sybase - Python 2
 This package contains a Python module allowing direct access to
 Microsoft SQL server and Sybase databases. It is designed for
 simplicity and performance, and conforms to Python DB-API 2.0.
 .
 It also includes a Nagios plugin to check MS SQL servers remotely.

Package: python3-pymssql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python database access for MS SQL server and Sybase - Python 3
 This package contains a Python module allowing direct access to
 Microsoft SQL server and Sybase databases. It is designed for
 simplicity and performance, and conforms to Python DB-API 2.0.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pymssql

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Don't run tests, since they require an MS-SQL server.

## pymssql 2.1.4%2Bdfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/pymssql/pymssql-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pymssql 2.1.4+dfsg

=== debian/changelog ===
pymssql (2.1.4+dfsg-3build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:06 +0100

pymssql (2.1.4+dfsg-3build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:55 +0000

pymssql (2.1.4+dfsg-3) unstable; urgency=medium

  * Team upload
  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Håvard Flaget Aasen ]
  * Add 0003-Remove-platform.linux_distribution.patch closes: #942791
  * Bump debhelper to 12
  * Set dpmt as maintainer closes: #930140
  * Add Rules-Requires-Root
  * Add salsa CI

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 29 Dec 2019 10:28:21 +0100

pymssql (2.1.4+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 11 Aug 2019 01:16:47 +0500

pymssql (2.1.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Sophie Brun ]
  * d/copyright: update excluded files
  * New upstream version 2.1.4+dfsg
  * Remove useless debian/python-pymssql.install
  * Update d/control to remove information about nagios
  * Add maintscript to remove obsolete nagios-plugin conffile
  * Update build-depends for latest upstream release: use recent freetds
    (Closes: #891670)
  * Update debian/copyright
  * Add a patch to fix spelling error
  * Add autopkgtest-pkg-python
  * Bump Standards-Version to 4.3.0
  * Add hardening build

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Jan 2019 11:08:20 +0100

=== debian/control ===
Source: pymssql
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Geoffrey Thomas <geofft@ldpreload.com>
Build-Depends: debhelper-compat (= 12),
               python3-all-dev,
               freetds-dev (>= 0.95),
               dh-python,
               python3-setuptools,
               cython3 (>= 0.19.1)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/pymssql/pymssql
Vcs-Git: https://salsa.debian.org/python-team/modules/pymssql.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pymssql
TestSuite: autopkgtest-pkg-python

Package: python3-pymssql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python database access for MS SQL server and Sybase - Python 3
 This package contains a Python module allowing direct access to
 Microsoft SQL server and Sybase databases. It is designed for
 simplicity and performance, and conforms to Python DB-API 2.0.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pymssql
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_test:
	# Don't run tests, since they require an MS-SQL server.

## pymssql 2.2.2

=== debian/changelog ===
pymssql (2.2.2-1) unstable; urgency=medium

  * Team upload
  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license LGPL-2.1+.
  * Remove constraints unnecessary since buster:
    + Remove 1 maintscript entries from 1 files.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Håvard Flaget Aasen ]
  * New upstream version 2.2.2
  * Drop all patches except fix-spelling-error.patch.
  * No longer repack source tarball.
  * d/rules: Set environment variables when building.
  * Bump debhelper to 13.
  * Update standards version to 4.6.0, no changes needed.
  * d/control: Fix capitalization in testsuite field.
  * d/watch: Bump to version 4.
  * d/source/options: Prevent ftbfs when building twice in a row.
  * Run wrap-and-sort.

  [ Jeroen Ploemen ]
  * Copyright: bump upstream year to 2021.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 27 Nov 2021 10:17:31 +0000

=== debian/control ===
Source: pymssql
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Geoffrey Thomas <geofft@ldpreload.com>,
Build-Depends: cython3 (>= 0.29.1),
               debhelper-compat (= 13),
               dh-python,
               freetds-dev (>= 0.95),
               python3-all-dev,
               python3-setuptools,
               python3-setuptools-scm,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/pymssql/pymssql
Vcs-Git: https://salsa.debian.org/python-team/packages/pymssql.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pymssql
Testsuite: autopkgtest-pkg-python

Package: python3-pymssql
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Python database access for MS SQL server and Sybase - Python 3
 This package contains a Python module allowing direct access to
 Microsoft SQL server and Sybase databases. It is designed for
 simplicity and performance, and conforms to Python DB-API 2.0.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=pymssql
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export LINK_FREETDS_STATICALLY = NO
+export LINK_OPENSSL = NO
 
 %:
 	dh $@ --with=python3 --buildsystem=pybuild

## pymssql 2.2.11

=== debian/changelog ===
pymssql (2.2.11-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:24:34 +0000

pymssql (2.2.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Jeroen Ploemen ]
  * Team upload.
  * New upstream version 2.2.11. (Closes: #1056843, #1029704)
  * Control: add build-deps on libkrb5-dev, pybuild-plugin-pyproject;
    bump version requirement for cython to 0.29.21 in line with
    upstream requirements.
  * Rules: set LINK_KRB5.
  * Rules: remove override of dh_auto_test; instead only run tests that
    do not require a MSSQL server.
  * Control: build-dep on python3-psutil, python3-pytest, and python3-
    pytest-timeout to support running the upstream testsuite.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 27 Dec 2023 12:49:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Geoffrey Thomas <geofft@ldpreload.com>,
-Build-Depends: cython3 (>= 0.29.1),
+Build-Depends: cython3 (>= 0.29.21),
                debhelper-compat (= 13),
                dh-python,
                freetds-dev (>= 0.95),
+               libkrb5-dev,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                python3-setuptools-scm,
-Standards-Version: 4.6.0
+               python3-psutil <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pymssql/pymssql
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymssql.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pymssql
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LINK_FREETDS_STATICALLY = NO
export LINK_OPENSSL = NO
export LINK_KRB5 = YES
export PYBUILD_TEST_ARGS = --skip-mssql-server-required

%:
	dh $@ --with=python3 --buildsystem=pybuild

## pymssql 2.3.1

=== debian/changelog ===
pymssql (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Remove deprecated unittest.makeSuite() (closes: #1081620).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 00:09:22 +0000

## pymssql 2.3.2

=== debian/changelog ===
pymssql (2.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Nov 2024 11:24:33 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Geoffrey Thomas <geofft@ldpreload.com>,
-Build-Depends: cython3 (>= 0.29.21),
+Build-Depends: cython3 (>= 3.0.10),
                debhelper-compat (= 13),
                dh-python,
                freetds-dev (>= 0.95),
@@ -14,6 +14,7 @@
                python3-setuptools-scm,
                python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-subtests <!nocheck>,
                python3-pytest-timeout <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## pymssql 2.3.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pymssql.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pymssql.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pymssql"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pymssql"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
setuptools_scm[toml]>=5.0,<9.0
sphinx
sphinx_rtd_theme
sphinx-copybutton
sphinx_toggleprompt

=== debian/changelog ===
pymssql (2.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Switch to autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Aug 2025 17:03:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Geoffrey Thomas <geofft@ldpreload.com>,
 Build-Depends: cython3 (>= 3.0.10),
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                freetds-dev (>= 0.95),
                libkrb5-dev,
                pybuild-plugin-pyproject,
@@ -16,12 +16,12 @@
                python3-pytest <!nocheck>,
                python3-pytest-subtests <!nocheck>,
                python3-pytest-timeout <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pymssql/pymssql
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymssql.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymssql
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pymssql
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_TEST_ARGS = --skip-mssql-server-required
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pymssql/pymssql-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pymssql 2.3.9

=== debian/changelog ===
pymssql (2.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 17:03:02 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                python3-pytest-subtests <!nocheck>,
                python3-pytest-timeout <!nocheck>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/pymssql/pymssql
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymssql.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymssql

## pymssql 2.3.10

=== docs/requirements.txt ===
setuptools_scm[toml]>=5.0,<10.0
sphinx
sphinx_rtd_theme
sphinx-copybutton
sphinx_toggleprompt

=== debian/changelog ===
pymssql (2.3.10-2) unstable; urgency=medium

  * Team upload.
  * pytest-subtests is included in Pytest 9.0.1+,
    drop dependency on standalone python3-pytest-subtests
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Dec 2025 14:18:46 +0100

pymssql (2.3.10-1) unstable; urgency=medium

  * switch to DEP-14 layout
  * New upstream version 2.3.10
  * use FSF web address, rather than old snail-mail
  * add myself to uploaders

 -- Joseph Nahmias <jello@debian.org>  Mon, 01 Dec 2025 23:16:02 -0500

=== debian/control ===
Source: pymssql
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Geoffrey Thomas <geofft@ldpreload.com>,
 Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3 (>= 3.0.10),
 freetds-dev (>= 0.95),
 libkrb5-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-psutil <!nocheck>,
 python3-pytest (>= 9.0.1) <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.3
Homepage: https://github.com/pymssql/pymssql
Vcs-Git: https://salsa.debian.org/python-team/packages/pymssql.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pymssql
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pymssql
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python database access for MS SQL server and Sybase - Python 3
 This package contains a Python module allowing direct access to
 Microsoft SQL server and Sybase databases. It is designed for
 simplicity and performance, and conforms to Python DB-API 2.0.
 .
 This package installs the library for Python 3.

=== debian/watch ===
Version: 5

Template: Pypi
Dist: pymssql
